span.var {
    line-height: 40px;
    font-size: 1.2em;
}

#p, #g, #a, #capital-a, #bob-encrypted-m, .alice-encrypted-m, .alice-decrypted-m, #g-sup-k, #m-A-sup-k {
    word-break: break-all;
    font-size: 0.8em;
}

p#bob-encrypted-m {
    padding-top: 20px;
}

div.padding10 {
    padding-bottom: 10px;
    padding-top: 10px;
}

.monitor {
    display: inline-block;
    height: 480px;
    width: 48%;
    overflow-y: auto;
    border-style: solid;
    border-width: 39px 34px 167px 42px;
    -moz-border-image: url(monitor.png) 39 34 167 42 stretch;
    -webkit-border-image: url(monitor.png) 39 34 167 42 stretch;
    -o-border-image: url(monitor.png) 39 34 167 42 stretch;
    border-image: url(monitor.png) 39 34 167 42 fill stretch;
}

@media only screen and (min-height: 750px) {
    .monitor {
        height: 550px;
    }
}

@media only screen and (min-height: 900px) {
    .monitor {
        height: 700px;
    }
}

@media only screen and (min-height: 1100px) {
    .monitor {
        height: 850px;
    }
}

.monitor.bob {
    float: right;
}

.padding8 {
    padding: 8px;
    min-height: 100%;
}

div.public {
    font-size: 0.9em;
    padding-left: 22px;
    padding-bottom: 5px;
}

div.public div.param {
    min-height: 140px;
    margin-left: 5px !important;
}

.a {
    min-height: 100px !important;
    font-size: 0.9em;
}

div.row {
    margin-bottom: 0px !important;
}

div.public div.s2 {
    width: 19% !important;
}

.hidden {
    display: none;
}

.input-field {
    margin-bottom: 0px !important;
}

.no-left-padding {
    padding-left: 0px !important;
}

.label-with-padding {
    padding-top: 10px;
    padding-bottom: 10px;
}

/* label focus color */
.input-field input#digit-count:focus + label {
    color: #9575cd !important;
}
/* label underline focus color */
.input-field input#digit-count:focus {
    border-bottom: 1px solid #9575cd !important;
    box-shadow: 0 1px 0 0 #9575cd !important
}

input[type='number'] {
    -moz-appearance:textfield;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

button.top1px {
    position: relative;
    top: 1px;
}

.collapsible-body {
    padding: 10px !important;
}

.materialize-textarea {
    margin-bottom: 0px !important;
}

input {
    height: 2.5rem !important;
}

.collapsible-header {
    padding: 5px !important;
}

.top15 {
    position: relative !important;
    top: 15px !important;
}

.top5 {
    position: relative !important;
    top: 5px !important;
}

div.monitor.off {
    overflow: hidden;
}

.mask {
    display: none;
}

div.monitor.off .mask{
    position:relative;
    display: block;
    width:100%;
    height:100%;
    background:rgba(0,0,0,1);

}

.power-btn {
    position: relative;
    left: 95%;
    top: 90%;
    color: #2c2629;
    cursor: pointer;
}

.msg-icon {
    color: #9575cd;
}

.purple-border {
    border-color: #9575cd;
}

.top-15 {
    position: relative;
    top: -15px;
}

.block {
    display: block;
}

.icon {
    height: 20px;
    position: relative;
    top: 4px;
    left: 3px;
}

.top8 {
    position: relative;
    top: 8px;
}

.right30 {
    position: relative;
    right: 30px;
}

body {
    display: flex;
    min-height: 100vh;
    flex-direction: column;
}

.container {
    max-width: none;
    width: 100%;
    margin: 0px 20px;
}

footer {
    padding-top: 0px !important;
    margin-top: 10px;
}

.link {
    padding: 4px 10px;
}

.link:hover {
    background-color: #1e9ae2;
}

.flex {
    flex: 1 0 auto;
}
